com.amazonaws.services.codedeploy.model

## Class InstanceSummary

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.InstanceSummary

All Implemented Interfaces:
  Serializable, Cloneable

    public class InstanceSummary
    extends Object
    implements Serializable, Cloneable

Information about an instance in a deployment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InstanceSummary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InstanceSummary` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeploymentId()` The deployment ID.
`String` `getInstanceId()` The instance ID.
`Date` `getLastUpdatedAt()` A timestamp indicating when the instance information was last updated.
`List<LifecycleEvent>` `getLifecycleEvents()` A list of lifecycle events for this instance.
`String` `getStatus()` The deployment status for this instance:
`int` `hashCode()`
`void` `setDeploymentId(String deploymentId)` The deployment ID.
`void` `setInstanceId(String instanceId)` The instance ID.
`void` `setLastUpdatedAt(Date lastUpdatedAt)` A timestamp indicating when the instance information was last updated.
`void` `setLifecycleEvents(Collection<LifecycleEvent> lifecycleEvents)` A list of lifecycle events for this instance.
`void` `setStatus(InstanceStatus status)` The deployment status for this instance:
`void` `setStatus(String status)` The deployment status for this instance:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceSummary` `withDeploymentId(String deploymentId)` The deployment ID.
`InstanceSummary` `withInstanceId(String instanceId)` The instance ID.
`InstanceSummary` `withLastUpdatedAt(Date lastUpdatedAt)` A timestamp indicating when the instance information was last updated.
`InstanceSummary` `withLifecycleEvents(Collection<LifecycleEvent> lifecycleEvents)` A list of lifecycle events for this instance.
`InstanceSummary` `withLifecycleEvents(LifecycleEvent... lifecycleEvents)` A list of lifecycle events for this instance.
`InstanceSummary` `withStatus(InstanceStatus status)` The deployment status for this instance:
`InstanceSummary` `withStatus(String status)` The deployment status for this instance:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InstanceSummary

    public InstanceSummary()

### Method Detail

#### setDeploymentId

    public void setDeploymentId(String deploymentId)

The deployment ID.

Parameters:
  `deploymentId` - The deployment ID.

#### getDeploymentId

    public String getDeploymentId()

The deployment ID.

Returns:
  The deployment ID.

#### withDeploymentId

    public InstanceSummary withDeploymentId(String deploymentId)

The deployment ID.

Parameters:
  `deploymentId` - The deployment ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInstanceId

    public void setInstanceId(String instanceId)

The instance ID.

Parameters:
  `instanceId` - The instance ID.

#### getInstanceId

    public String getInstanceId()

The instance ID.

Returns:
  The instance ID.

#### withInstanceId

    public InstanceSummary withInstanceId(String instanceId)

The instance ID.

Parameters:
  `instanceId` - The instance ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The deployment status for this instance:

- Pending: The deployment is pending for this instance.

- In Progress: The deployment is in progress for this instance.

- Succeeded: The deployment has succeeded for this instance.

- Failed: The deployment has failed for this instance.

- Skipped: The deployment has been skipped for this instance.

- Unknown: The deployment status is unknown for this instance.

Parameters:
  `status` - The deployment status for this instance:

  - Pending: The deployment is pending for this instance.

  - In Progress: The deployment is in progress for this instance.

  - Succeeded: The deployment has succeeded for this instance.

  - Failed: The deployment has failed for this instance.

  - Skipped: The deployment has been skipped for this instance.

  - Unknown: The deployment status is unknown for this instance.

See Also:
  `InstanceStatus`

#### getStatus

    public String getStatus()

The deployment status for this instance:

- Pending: The deployment is pending for this instance.

- In Progress: The deployment is in progress for this instance.

- Succeeded: The deployment has succeeded for this instance.

- Failed: The deployment has failed for this instance.

- Skipped: The deployment has been skipped for this instance.

- Unknown: The deployment status is unknown for this instance.

Returns:
  The deployment status for this instance:

  - Pending: The deployment is pending for this instance.

  - In Progress: The deployment is in progress for this instance.

  - Succeeded: The deployment has succeeded for this instance.

  - Failed: The deployment has failed for this instance.

  - Skipped: The deployment has been skipped for this instance.

  - Unknown: The deployment status is unknown for this instance.

See Also:
  `InstanceStatus`

#### withStatus

    public InstanceSummary withStatus(String status)

The deployment status for this instance:

- Pending: The deployment is pending for this instance.

- In Progress: The deployment is in progress for this instance.

- Succeeded: The deployment has succeeded for this instance.

- Failed: The deployment has failed for this instance.

- Skipped: The deployment has been skipped for this instance.

- Unknown: The deployment status is unknown for this instance.

Parameters:
  `status` - The deployment status for this instance:

  - Pending: The deployment is pending for this instance.

  - In Progress: The deployment is in progress for this instance.

  - Succeeded: The deployment has succeeded for this instance.

  - Failed: The deployment has failed for this instance.

  - Skipped: The deployment has been skipped for this instance.

  - Unknown: The deployment status is unknown for this instance.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `InstanceStatus`

#### setStatus

    public void setStatus(InstanceStatus status)

The deployment status for this instance:

- Pending: The deployment is pending for this instance.

- In Progress: The deployment is in progress for this instance.

- Succeeded: The deployment has succeeded for this instance.

- Failed: The deployment has failed for this instance.

- Skipped: The deployment has been skipped for this instance.

- Unknown: The deployment status is unknown for this instance.

Parameters:
  `status` - The deployment status for this instance:

  - Pending: The deployment is pending for this instance.

  - In Progress: The deployment is in progress for this instance.

  - Succeeded: The deployment has succeeded for this instance.

  - Failed: The deployment has failed for this instance.

  - Skipped: The deployment has been skipped for this instance.

  - Unknown: The deployment status is unknown for this instance.

See Also:
  `InstanceStatus`

#### withStatus

    public InstanceSummary withStatus(InstanceStatus status)

The deployment status for this instance:

- Pending: The deployment is pending for this instance.

- In Progress: The deployment is in progress for this instance.

- Succeeded: The deployment has succeeded for this instance.

- Failed: The deployment has failed for this instance.

- Skipped: The deployment has been skipped for this instance.

- Unknown: The deployment status is unknown for this instance.

Parameters:
  `status` - The deployment status for this instance:

  - Pending: The deployment is pending for this instance.

  - In Progress: The deployment is in progress for this instance.

  - Succeeded: The deployment has succeeded for this instance.

  - Failed: The deployment has failed for this instance.

  - Skipped: The deployment has been skipped for this instance.

  - Unknown: The deployment status is unknown for this instance.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `InstanceStatus`

#### setLastUpdatedAt

    public void setLastUpdatedAt(Date lastUpdatedAt)

A timestamp indicating when the instance information was last updated.

Parameters:
  `lastUpdatedAt` - A timestamp indicating when the instance information was last updated.

#### getLastUpdatedAt

    public Date getLastUpdatedAt()

A timestamp indicating when the instance information was last updated.

Returns:
  A timestamp indicating when the instance information was last updated.

#### withLastUpdatedAt

    public InstanceSummary withLastUpdatedAt(Date lastUpdatedAt)

A timestamp indicating when the instance information was last updated.

Parameters:
  `lastUpdatedAt` - A timestamp indicating when the instance information was last updated.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getLifecycleEvents

    public List<LifecycleEvent> getLifecycleEvents()

A list of lifecycle events for this instance.

Returns:
  A list of lifecycle events for this instance.

#### setLifecycleEvents

    public void setLifecycleEvents(Collection<LifecycleEvent> lifecycleEvents)

A list of lifecycle events for this instance.

Parameters:
  `lifecycleEvents` - A list of lifecycle events for this instance.

#### withLifecycleEvents

    public InstanceSummary withLifecycleEvents(LifecycleEvent... lifecycleEvents)

A list of lifecycle events for this instance.

NOTE: This method appends the values to the existing list (if any). Use `setLifecycleEvents(java.util.Collection)` or `withLifecycleEvents(java.util.Collection)` if you want to override the existing values.

Parameters:
  `lifecycleEvents` - A list of lifecycle events for this instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withLifecycleEvents

    public InstanceSummary withLifecycleEvents(Collection<LifecycleEvent> lifecycleEvents)

A list of lifecycle events for this instance.

Parameters:
  `lifecycleEvents` - A list of lifecycle events for this instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public InstanceSummary clone()

Overrides:
  `clone` in class `Object`